 contrib/sepgsql/test_sepgsql |  3 +++
 doc/src/sgml/sepgsql.sgml    | 13 +++++++++----
 2 files changed, 12 insertions(+), 4 deletions(-)

diff --git a/contrib/sepgsql/test_sepgsql b/contrib/sepgsql/test_sepgsql
index 8d1a35c..1266718 100755
--- a/contrib/sepgsql/test_sepgsql
+++ b/contrib/sepgsql/test_sepgsql
@@ -14,6 +14,9 @@
 
 PG_BINDIR=`pg_config --bindir`
 
+# we must move to contrib/sepgsql directory to run pg_regress correctly
+cd `dirname $0`
+
 echo
 echo "============== checking selinux environment           =============="
 
diff --git a/doc/src/sgml/sepgsql.sgml b/doc/src/sgml/sepgsql.sgml
index 2cdbe9d..d6e7f25 100644
--- a/doc/src/sgml/sepgsql.sgml
+++ b/doc/src/sgml/sepgsql.sgml
@@ -187,7 +187,7 @@ $ cd .../contrib/sepgsql
 $ make -f /usr/share/selinux/devel/Makefile
 $ sudo semodule -u sepgsql-regtest.pp
 $ sudo semodule -l | grep sepgsql
-sepgsql-regtest 1.04
+sepgsql-regtest 1.07
 </screen>
 
   <para>
@@ -227,9 +227,14 @@ $ ./test_sepgsql
 </screen>
 
   <para>
-   This script will attempt to verify that you have done all the configuration
-   steps correctly, and then it will run the regression tests for the
-   <filename>sepgsql</> module.
+   This script will attempt to verify that you have done most of
+   the configuration steps correctly, and then it will run the regression
+   tests for the <filename>sepgsql</> module.
+   Please note that it does not check version of the installed
+   <filename>sepgsql-regtest</> policy because it takes root privilege to
+   list up policy modules using <command>semodule</> command, thus, make
+   sure whether the installed policy is really the latest one, even if
+   you got regression test failed.
   </para>
 
   <para>
